diff -Naur lopster-HEAD/src/global.c lopster-patched/src/global.c
--- lopster-HEAD/src/global.c	Mon May  3 12:47:02 2004
+++ lopster-patched/src/global.c	Wed May 12 03:12:34 2004
@@ -523,12 +523,20 @@
     return MEDIA_AUDIO;
   else if (!g_strcasecmp(suffix, "au"))
     return MEDIA_AUDIO;
+  else if (!g_strcasecmp(suffix, "aiff"))
+    return MEDIA_AUDIO;
   else if (!g_strcasecmp(suffix, "ogg"))
 #ifdef HAVE_OGG
     return MEDIA_MP3;
 #else
     return MEDIA_AUDIO;
 #endif
+  else if (!g_strcasecmp(suffix, "flac"))
+    return MEDIA_MP3;
+  else if (!g_strcasecmp(suffix, "m4a"))
+    return MEDIA_MP3;
+  else if (!g_strcasecmp(suffix, "wma"))
+    return MEDIA_MP3;
   else if (!g_strcasecmp(suffix, "mpg"))
     return MEDIA_VIDEO;
   else if (!g_strcasecmp(suffix, "mpeg"))
@@ -545,6 +553,8 @@
     return MEDIA_VIDEO;
   else if (!g_strcasecmp(suffix, "wmf"))
     return MEDIA_VIDEO;
+  else if (!g_strcasecmp(suffix, "wmv"))
+    return MEDIA_VIDEO;
   else if (!g_strcasecmp(suffix, "bmp"))
     return MEDIA_IMAGE;
   else if (!g_strcasecmp(suffix, "png"))
@@ -589,6 +599,18 @@
     return MEDIA_APPLICATION;
   else if (!g_strcasecmp(suffix, "rpm"))
     return MEDIA_APPLICATION;
+  else if (!g_strcasecmp(suffix, "hqx"))
+    return MEDIA_APPLICATION;
+  else if (!g_strcasecmp(suffix, "sit"))
+    return MEDIA_APPLICATION;
+  else if (!g_strcasecmp(suffix, "sitx"))
+    return MEDIA_APPLICATION;
+  else if (!g_strcasecmp(suffix, "dmg"))
+    return MEDIA_APPLICATION;
+  else if (!g_strcasecmp(suffix, "img"))
+    return MEDIA_APPLICATION;
+  else if (!g_strcasecmp(suffix, "toast"))
+    return MEDIA_APPLICATION;
   else
     return MEDIA_NONE;
 }
@@ -3473,7 +3495,7 @@
   global.options.resume_timeout = 60;
   global.options.check_lib_for_download = 1;
   global.options.time_display = 0;
-  global.options.browser = g_strdup("dillo %s");
+  global.options.browser = g_strdup("launch -l '%s'");
   global.options.filetips = 1;
 
   global.options.down_speed[0] = SPEED_RED;
@@ -3492,7 +3514,7 @@
   global.options.graph_mode[1] = 2;
   global.options.graph_show[0] = 2;
   global.options.graph_show[1] = 2;
-  global.options.ping_search=0;
+  global.options.ping_search=1;
   global.options.search_show_folder=1;
   global.options.max_chat_buffer = 30;
   global.naplist.use_proxy = 0;
@@ -3577,7 +3599,7 @@
   global.allowed_ports = NULL;
 
   global.auto_save = NULL;
-  global.ping_command = g_strdup("/bin/ping -c 3 $IP");
+  global.ping_command = g_strdup("/sbin/ping -c 3 $IP");
 
   global.browse_width[0] = 369;
   global.browse_width[1] = 80;
diff -Naur lopster-HEAD/src/mtypes.c lopster-patched/src/mtypes.c
--- lopster-HEAD/src/mtypes.c	Tue Sep  9 17:31:09 2003
+++ lopster-patched/src/mtypes.c	Wed May 12 03:05:19 2004
@@ -97,8 +97,7 @@
   //////////////////////////////////////////////////////////////
   mtype = &MType[MEDIA_MP3];
   
-  mtype->app = g_list_append(mtype->app, app_new("xmms %f", "Open"));
-  mtype->app = g_list_append(mtype->app, app_new("xmms -e %f", "Enqueue"));
+  mtype->app = g_list_append(mtype->app, app_new("open '%f'", "Open"));
   mtype->suffix = 
     g_list_append(mtype->suffix, suffix_new("mp3"));
 #ifdef HAVE_OGG
@@ -109,7 +108,7 @@
   //////////////////////////////////////////////////////////////
   mtype = &MType[MEDIA_VIDEO];
   
-  mtype->app = g_list_append(mtype->app, app_new("mplayer %f", "MPlayer"));
+  mtype->app = g_list_append(mtype->app, app_new("open '%f'", "Open"));
   mtype->suffix = 
     g_list_append(mtype->suffix, suffix_new("mpg mpeg"));
   mtype->suffix = 
@@ -122,7 +121,7 @@
   //////////////////////////////////////////////////////////////
   mtype = &MType[MEDIA_IMAGE];
   
-  mtype->app = g_list_append(mtype->app, app_new("ee %f", "Electric eyes"));
+  mtype->app = g_list_append(mtype->app, app_new("open '%f'", "Open"));
   mtype->suffix = 
     g_list_append(mtype->suffix, suffix_new("jpg jpeg"));
   mtype->suffix = 
@@ -135,8 +134,7 @@
   //////////////////////////////////////////////////////////////
   mtype = &MType[MEDIA_FOLDER];
   
-  mtype->app = g_list_append(mtype->app, app_new("gmc %f", "Browse"));
-  mtype->app = g_list_append(mtype->app, app_new("xmms %f", "Xmms"));
+  mtype->app = g_list_append(mtype->app, app_new("open `dirname '%f'`", "Browse"));
 }
 
 void mtype_load() {
diff -Naur lopster-HEAD/src/wizard.c lopster-patched/src/wizard.c
--- lopster-HEAD/src/wizard.c	Sun Feb  8 19:27:44 2004
+++ lopster-patched/src/wizard.c	Wed May 12 03:10:02 2004
@@ -1034,7 +1034,7 @@
   ww.page3_entry[0] = entry;
 #ifdef HAVE_OGG
 # ifdef HAVE_FLAC
-  gtk_entry_set_text (GTK_ENTRY (entry), "mp3 ogg flac");
+  gtk_entry_set_text (GTK_ENTRY (entry), "mp3 ogg flac m4a wma");
 # else
   gtk_entry_set_text (GTK_ENTRY (entry), "mp3 ogg");
 # endif // HAVE_FLAC
@@ -1052,7 +1052,7 @@
                     (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                     (GtkAttachOptions) (0), 0, 0);
   ww.page3_entry[1] = entry;
-  gtk_entry_set_text(GTK_ENTRY(entry), "mpg mpeg avi asf mov wmf rm ram");
+  gtk_entry_set_text(GTK_ENTRY(entry), "mpg mpeg avi asf mov wmf wmv rm ram");
 
   entry = gtk_entry_new ();
   gtk_widget_show (entry);
@@ -1061,7 +1061,7 @@
                     (GtkAttachOptions) (0), 0, 0);
   ww.page3_entry[2] = entry;
 #ifdef HAVE_OGG
-  gtk_entry_set_text(GTK_ENTRY(entry), "wav au");
+  gtk_entry_set_text(GTK_ENTRY(entry), "wav au aiff");
 #else
   gtk_entry_set_text(GTK_ENTRY(entry), "wav au ogg");
 #endif
@@ -1072,7 +1072,7 @@
                     (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                     (GtkAttachOptions) (0), 0, 0);
   ww.page3_entry[3] = entry;
-  gtk_entry_set_text(GTK_ENTRY(entry), "tgz tar gz exe bz2 zip rpm dep dll");
+  gtk_entry_set_text(GTK_ENTRY(entry), "tgz tar gz exe bz2 zip rpm deb dll hqx sit sitx dmg img toast");
 
   entry = gtk_entry_new ();
   gtk_widget_show (entry);
